from machine import Pin, I2C
from ssd1306 import SSD1306_I2C

i2c = I2C(scl = Pin(22), sda = Pin(21))		# 初始化 I2C 介面，指定 SCL 和 SDA 引腳
oled = SSD1306_I2C(128, 64, i2c)			# 創建一個 SSD1306 顯示物件，設定顯示解析度為 128x64，並使用剛才創建的 I2C 介面

oled.text('I love PYTHON!', 0, 0)			# 在顯示器的坐標 (0, 0) 處顯示文字 'I love PYTHON!'
oled.show()									# 刷新顯示，將內容顯示在 OLED 螢幕上