from machine import Pin, I2C
from ssd1306 import SSD1306_I2C
import utime										# 引入 utime 庫，用於時間相關的功能

i2c = I2C(scl = Pin(22), sda = Pin(21))				# 初始化 I2C，設定 SCL 和 SDA 引腳

oled = SSD1306_I2C(128, 64, i2c)					# 初始化 SSD1306 顯示器，設置寬度和高度

while True:
    system_time = utime.ticks_ms()					# 獲取當前系統時間（以毫秒為單位）
    oled.fill(0)									# 清空顯示器的內容
    oled.text('System time: ', 0, 0)				# 顯示於第一行
    oled.text(str(system_time) + ' ms', 0, 16)		# 顯示於第三行
    oled.show()    									# 更新顯示器以顯示新內容
    utime.sleep_ms(100)								# 暫停 100 毫秒，防止過快更新