from machine import SoftI2C, Pin
from ssd1306 import SSD1306_I2C
import ufont
from time import sleep

# 使用 I2C 初始化顯示屏
i2c = SoftI2C(scl = Pin(22), sda = Pin(21))
display = SSD1306_I2C(128, 64, i2c)
font = ufont.BMFont('unifont-14-12917-16.v3.bmf')

# 定義顯示的文字
text = '台湾集成电路制造公司，简称台积电、TSMC、台积或台积公司，与旗下公司合称时则称作台积电集团，为台湾一家从事晶圆代工的公司。总部位于台湾新竹科学园区。 台积电是全球第一家也是最大的集成电路代工制造商，其主要业务包括晶圆制造、封装、测试和技术服务。'

# 設定初始的水平偏移和參數
offset = 0
display_width = 128  # 顯示屏的寬度
scroll_speed = 2  # 控制滾動速度

# 估計文字的寬度（例如每個字元寬度為8像素）
text_width = len(text) * 8

while True:
    display.fill(0)  # 清空顯示屏
    font.text(display, text, -offset, 0)  # 根據 offset 向左移動文字
    display.show()  # 更新顯示屏
    sleep(0.05)  # 調整延遲以達到平滑或更快的滾動效果

    # 更新偏移量
    offset += scroll_speed

    # 當文字完全滾出顯示屏時，重置偏移量
    if offset > text_width:
        offset = 0  # 重置以從頭開始顯示文字