from machine import Pin, SoftI2C
from ssd1306 import SSD1306_I2C
import ufont
from time import sleep

# 初始化 I2C 和顯示屏
i2c = SoftI2C(scl = Pin(22), sda = Pin(21))
display = SSD1306_I2C(128, 64, i2c)
font = ufont.BMFont('unifont-14-12917-16.v3.bmf')

# 定義 LED 和開關
led_pin = Pin(5, Pin.OUT)
record_switch = Pin(18, Pin.IN, Pin.PULL_UP)

while True:
    # 讀取開關狀態
    switch_state = record_switch.value()
    
    # 控制 LED
    if switch_state == 0:
        led_pin.value(0)  # 開關按下時 LED 關閉
    else:
        led_pin.value(1)  # 開關未按下時 LED 開啟
    
    # 顯示開關狀態
    display.fill(0)  # 清空顯示屏
    
    # 根據開關狀態顯示不同的文字
    if switch_state == 0:
        status_text = "开关状态: ON"
    else:
        status_text = "开关状态: OFF"
    
    # 在 OLED 上顯示開關狀態
    font.text(display, status_text, 0, 0)
    display.show()  # 更新顯示屏
    
    # 延遲一段時間
    sleep(0.1)
